package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag787;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT787Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT787Creator mt787Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt787Creator= (MT787Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag21Value = mt787Creator.getRelatedReference();
        mt787Creator.set("21", tag21Value);
    }
}
